Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for Valkey™
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Shard
  1. Справочник API
  2. REST (англ.)
  3. Cluster
  4. ListShards

Managed Service for Redis API, REST: Cluster.ListShards

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Shard

Retrieves a list of shards.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/shards

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Valkey cluster to list shards in.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListClusterShardsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListClusterShardsResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "shards": [
    {
      "name": "string",
      "clusterId": "string",
      "isHa": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

shards[]

Shard

List of Valkey shards.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterShardsRequest.pageSize, use
the nextPageToken as the value
for the ListClusterShardsRequest.pageToken query parameter
in the next list request. Each subsequent list request will have its own
nextPageToken to continue paging through the results.

ShardShard

Field

Description

name

string

Name of the Valkey shard. The shard name is assigned by user at creation time, and cannot be changed.
1-63 characters long.

clusterId

string

ID of the Valkey cluster the shard belongs to. The ID is assigned by MDB at creation time.

isHa

boolean

Indicates whether the shard topology is highly available as defined by the Yandex Cloud SLA for managed databases.

Была ли статья полезна?

Предыдущая
GetShard
Следующая
AddShard
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»